Skip to main content
GET
/
squads
/
{squad_id}
Get Squad
curl --request GET \
  --url https://api.example.com/squads/{squad_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "agents": [
    {}
  ],
  "routing_strategy": "<string>",
  "status": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "transfer_rules": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

squad_id
string<uuid>
required

Response

Successful Response

Squad response model.

id
string<uuid>
required
tenant_id
string<uuid>
required
name
string
required
agents
Agents · object[]
required
routing_strategy
string
required
status
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null
transfer_rules
Transfer Rules · object